Description: Linux dynamic loader
Name: ld.so-sparc
Version: 1.8.3
Release: 2
ExclusiveArch: sparc
Copyright: distributable
Group: Libraries
Source: ftp.ods.com:/pub/linux/ld.so-1.8.3.tar.gz
Patch0: ld.so-1.8.3-sparc.patch
Patch1: ld.so-1.8.3-ldd.fix
Patch2: ld.so-1.8.3-sparc-reloc.patch

%prep

%setup -n ld.so-1.8.3

%ifarch sparc
%patch0 -p1
%endif

%patch1 -p1

%patch2 -p1

%build
make clean
make

%install
echo "/usr/X11R6/lib" > /etc/ld.so.conf
sh instldso.sh << EOF

EOF

%post
/sbin/ldconfig

%files
/lib/ld.so.1.8.3
/lib/ld.so
/lib/ld-linux.so.1.8.3
/lib/ld-linux.so.1
/lib/libdl.so.1.8.3
/lib/libdl.so
%ifarch sparc
/lib/4mlib.so
%endif
/usr/bin/ldd
/sbin/ldconfig
/usr/man/man1/ldd.1
/usr/man/man8/ld.so.8
/usr/man/man8/ldconfig.8
/usr/man/man3/dlopen.3
/usr/man/man3/dlsym.3
/usr/man/man3/dlerror.3
/usr/man/man3/dlclose.3
